package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dto.CostbgIndexDto;

import java.util.Map;

/**
 * @author 陈浩
 * @date 2021/3/18
 */
public interface CustomIndexPlanService {
    /**
     * 添加计划
     *
     * @param year
     * @return
     */
    boolean insertPlan(String year);

    /**
     * 添加计划详情
     *
     * @param costbgIndexDto
     * @return
     */
    boolean insertPlanInfo(CostbgIndexDto costbgIndexDto);

    /**
     * 查看计划
     *
     * @param page  page
     * @param year  year
     * @param state state
     * @return page
     */
    Page selectPlan(Page page, String year, String state);

    /**
     * 查看计划详情
     *
     * @param page page
     * @param id   id
     * @return page
     */
    Map<String,Object> selectPlanInfo(Long id);

    /**
     * 删除计划
     *
     * @param id 年份
     * @return true
     */
    boolean deletePlan(String id);

    /**
     * 修改指标
     *
     * @param costbgIndexDto vo
     * @return boolean
     */
    boolean updatePlanInfo(CostbgIndexDto costbgIndexDto);
}
